# $Revision: 1.37 $, $Date: 2012/01/08 19:54:30 $
Summary:	Compiler cache
Summary(pl.UTF-8):	Przyspieszacz kompilowania
Summary(pt_BR.UTF-8):	Cache para compiladores C/C++
Name:		ccache
Version:	3.1.7
Release:	1
License:	GPL v3
Group:		Development/Tools
Source0:	http://samba.org/ftp/ccache/%{name}-%{version}.tar.bz2
# Source0-md5:	82257745eac54826527946e9e3d046f4
Patch0:		%{name}-nohash_size_mtime.patch
URL:		http://ccache.samba.org/
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		%{_prefix}/%{_lib}/%{name}

%description
ccache is a compiler cache. It acts as a caching pre-processor to
C/C++ compilers, using the -E compiler switch and a hash to detect
when a compilation can be satisfied from cache. This often results in
a 5 to 10 times speedup in common compilations.

%description -l pl.UTF-8
ccache działa jako cachujący preprocesor dla kompilatorów C/C++. Przy
użyciu opcji kompilatora -E oraz tablicy haszującej do wykrywania, czy
do kompilacji wystarczy zawartość cache. Daje to zazwyczaj
przyspieszenie kompilacji 5 do 10 razy.

%description -l pt_BR.UTF-8
ccache é um cache para compiladores. Ele funciona mantendo um cache de
pré-processamento para compiladores C/C++ utilizando-se do parâmetro
- -E e de um hash para detectar quando uma compilação pode ser
  reaproveitada de um cache armazenado em disco. O ganho de tempo em
  compilações comuns pode chegar a uma escala de até 10 vezes em relação
  ao tempo normal.

%package wrapper
Summary:	Symlinks for c++/cc/g++/gcc
Summary(pl.UTF-8):	Dowiązania symboliczne do c++/cc/g++/gcc
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}

%description wrapper
This package contains the softlinks to ccache for each compiler.

%description wrapper -l pl.UTF-8
Ten pakiet zawiera dowiązania symboliczne do ccache dla każdego
kompilatora.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.* .
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/env.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

for X in CCACHE_DIR CCACHE_TEMPDIR CCACHE_LOGFILE CCACHE_PATH CCACHE_CC CCACHE_PREFIX \
	CCACHE_DISABLE CCACHE_READONLY CCACHE_CPP2 CCACHE_NOSTATS CCACHE_NLEVELS \
	CCACHE_HARDLINK CCACHE_RECACHE CCACHE_UMASK CCACHE_HASHDIR CCACHE_UNIFY \
	CCACHE_EXTENSION CCACHE_NOHASH_SIZE_MTIME
do
	echo "#${X}=\"\"" > $RPM_BUILD_ROOT/etc/env.d/${X}
done

install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},/etc/profile.d}
for cc in cc c++ g++ gcc %{_target_cpu}-pld-linux-gcc %{_target_cpu}-pld-linux-g++; do
	ln -s ../../bin/%{name} $RPM_BUILD_ROOT%{_libdir}/$cc
done
echo 'export PATH=%{_libdir}:$PATH' > \
	$RPM_BUILD_ROOT/etc/profile.d/%{name}.sh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS.txt MANUAL.txt NEWS.txt README.txt
%attr(755,root,root) %{_bindir}/ccache
%{_mandir}/man1/ccache*
%config(noreplace,missingok) %verify(not md5 mtime size) /etc/env.d/*

%files wrapper
%defattr(644,root,root,755)
%attr(755,root,root) /etc/profile.d/%{name}.sh
%dir %{_libdir}
%attr(755,root,root) %{_libdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ccache.spec,v $
Revision 1.37  2012/01/08 19:54:30  adamg
- updated to 3.1.7

Revision 1.36  2011/08/23 08:57:31  marti
- up to 3.1.6

Revision 1.35  2011/06/01 06:58:57  marti
- up to 3.1.5
- Fixed a minor memory leak.

Revision 1.34  2011/02/06 16:50:35  sparky
- unified %clean section

Revision 1.33  2011/01/18 16:34:11  atler
- updated to: 3.1.4

Revision 1.32  2010/11/29 23:15:33  adamg
- updated to 3.1.3

Revision 1.31  2010/11/27 09:41:02  adamg
- updated to 3.1.2

Revision 1.30  2010/11/11 12:13:14  adamg
- updated to 3.1.1

Revision 1.29  2010/10/02 20:28:46  adamg
- gpl v3, updated nohash_size_mtime patch; release 2

Revision 1.28  2010/10/02 16:27:27  adamg
- updated to 3.1
- -utimes.patch idea merged in 3.0
- more %doc files

Revision 1.27  2008/08/17 14:01:37  adamg
- release 2

Revision 1.26  2007/10/09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.25  2007/03/17 00:30:44  glen
- add -utimes.patch from gentoo

Revision 1.24  2007/02/12 21:23:50  glen
- tabs in preamble

Revision 1.23  2007/02/12 00:48:41  baggins
- converted to UTF-8

Revision 1.22  2006/07/26 15:02:19  glen
- avoid defining default %attr

Revision 1.21  2005/12/26 08:30:56  ankry
- changelog cleaned

Revision 1.20  2005/12/26 07:27:48  twittner
- cleaned

Revision 1.19  2005/12/26 07:23:17  twittner
- -nohash_size_mtime.patch: add support to turn off hasing the
  compiler size and mtime via a environment variable
  CCACHE_NOHASH_SIZE_MTIME (from FreeBSD cvs)
- add support for /etc/env.d

Revision 1.18  2005/12/13 18:54:06  qboosh
- fixed en, added pl for -wrapper

Revision 1.17  2005/12/11 23:00:01  glen
- wrapper requires main

Revision 1.16  2005/12/11 22:58:16  glen
- wrapper subpackage

Revision 1.15  2005/08/07 21:56:21  twittner
- use one `make install DESTDIR=... ' instead of 3x install foo ...

Revision 1.14  2004/09/13 20:15:07  areq
- 2.4

Revision 1.13  2003/09/28 13:49:33  adamg
- updated to 2.3

Revision 1.12  2003/08/06 16:41:50  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.11  2003/05/28 12:58:48  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 05:46:09  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/02/21 17:16:51  misi3k
- updated to 2.2

Revision 1.8  2002/10/09 13:14:18  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.7  2002/05/21 23:12:43  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.6  2002/05/21 13:12:12  kloczek
- release 2: use new %doc packing infrastructure and merge translations from Conectiva.

Revision 1.5  2002/05/13 08:54:28  kloczek
- updated to 1.9.

Revision 1.4  2002/05/01 17:05:23  kloczek
- regenerate ac and config.* files.

Revision 1.3  2002/04/30 14:32:31  qboosh
- better pl description

Revision 1.2  2002/04/29 18:22:48  pioklo
- some cosmetics,STBR

Revision 1.1  2002/04/29 13:26:28  pioklo
- new PLD spec
- need pl descriptions :)
